> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytsoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create signed psp mandates, these need to be verified before creating

> Create signed psp mandates, these need to be verified before creating



## OpenAPI

````yaml /openapi3.json post /v1/psp_mandates
openapi: 3.0.0
info:
  title: API Endpoints
  description: >-
    This page allows you to explore the available API endpoints. Select a
    resource (e.g. debtors) and an endpoint (e.g. /v1/debtors) to inspect an
    example response and available parameters. An authorization header
    containing a Bearer token is required, see
    [Authentication](/authentication/authorization).
  version: 1.0.0
servers:
  - url: https://api.paytsoftware.com
    description: Production
  - url: https://demo-api.paytsoftware.com
    description: Demo / testing
security:
  - bearerAuth: []
tags:
  - name: administrations
    description: Operations about administrations
  - name: companies
    description: Operations about companies
  - name: contacts
    description: Operations about contacts
  - name: credit_cases
    description: Operations about credit_cases
  - name: debtors
    description: Operations about debtors
  - name: files
    description: Operations about files
  - name: orders
    description: Operations about orders
  - name: order_lines
    description: Operations about order_lines
  - name: invoices
    description: Operations about invoices
  - name: messages
    description: Operations about messages
  - name: notes
    description: Operations about notes
  - name: notifications
    description: Operations about notifications
  - name: payments
    description: Operations about payments
  - name: payment_conditions
    description: Operations about payment_conditions
  - name: payment_plans
    description: Operations about payment_plans
  - name: psp_mandates
    description: Operations about psp_mandates
  - name: psp_transactions
    description: Operations about psp_transactions
  - name: sign_up
    description: Operations about sign_ups
  - name: tasks
    description: Operations about tasks
  - name: vat_rates
    description: Operations about vat_rates
paths:
  /v1/psp_mandates:
    post:
      tags:
        - psp_mandates
      summary: Create signed psp mandates, these need to be verified before creating
      description: Create signed psp mandates, these need to be verified before creating
      operationId: postV1PspMandates
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/postV1PspMandates'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/postV1PspMandates'
        required: true
      responses:
        '200':
          description: >-
            Create signed psp mandates, these need to be verified before
            creating
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_V1_PspMandateEntity'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
components:
  schemas:
    postV1PspMandates:
      type: object
      properties:
        administration_id:
          type: string
          description: Administration identifier
        fields:
          type: string
          description: >-
            JSON object defining fields to receive (e.g {"only": ["field1",
            {"field2": ["field3"]}]})
        psp_mandates:
          type: array
          items:
            type: object
            properties:
              bank_account_name:
                type: string
                description: Bank account name
              bank_account_number:
                type: string
                description: Bank account number
              provider_code:
                type: string
                description: Provider code where mandate is registered
                enum:
                  - mollie
                  - twikey
              mandate_identifier:
                type: string
                description: Identifier from provider
              debtor_code:
                type: string
                description: External debtor identifier
              debtor_id:
                type: string
                description: Internal debtor identifier
              customer_identifier:
                type: string
                description: >-
                  Identifier from the psp provider of the customer (for Mollie
                  only)
              mandate_reference:
                type: string
                description: >-
                  Customer-supplied mandate reference (unique per
                  administration)
            required:
              - bank_account_name
              - bank_account_number
              - provider_code
      required:
        - administration_id
        - psp_mandates
      description: Create signed psp mandates, these need to be verified before creating
    CustomerApi_V1_PspMandateEntity:
      type: object
      properties:
        administration_id:
          type: string
          description: Owning administration identifier
        bank_account_name:
          type: string
          description: Bank account name
        bank_account_number:
          type: string
          description: Bank account number
        debtor_id:
          type: string
          description: Internal debtor identifier
        id:
          type: string
          description: Internal identifier
        mandate_identifier:
          type: string
          description: Identifier from provider
        mandate_reference:
          type: string
          description: Customer-supplied mandate reference
        provider:
          type: string
          description: Provider where mandate is registered
        debtor_number:
          type: string
          description: Debtor number (request with the 'fields' parameter)
        updated_at:
          type: string
          format: date-time
          description: Timestamp at which the psp_mandate was last updated
        deactivated_at:
          type: string
          format: date-time
          description: Timestamp at which the psp_mandate was deactivated
      required:
        - administration_id
        - bank_account_name
        - bank_account_number
        - debtor_id
        - id
        - mandate_identifier
        - provider
        - updated_at
      description: CustomerApi_V1_PspMandateEntity model
    CustomerApi_ErrorEntity:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      required:
        - code
        - message
      description: CustomerApi_ErrorEntity model
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        OAuth2 access token or static API token. See
        [Authorization](/authentication/authorization) for how to obtain one.

````